<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>pam_pkcs11: error.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">pam_pkcs11
   &#160;<span id="projectnumber">0.6.11</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',false,false,'search.php','Search');
});
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_fdedb0aba14d44ce9d99bc100e026e6a.html">common</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">error.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;config.h&gt;</code><br />
<code>#include &lt;stdarg.h&gt;</code><br />
<code>#include &lt;openssl/err.h&gt;</code><br />
<code>#include &lt;errno.h&gt;</code><br />
</div>
<p><a href="error_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a5e157a94a82f4b152bca1a06993c38e0"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="error_8h.html#a5e157a94a82f4b152bca1a06993c38e0">ERROR_BUFFER_SIZE</a>&#160;&#160;&#160;512</td></tr>
<tr class="memdesc:a5e157a94a82f4b152bca1a06993c38e0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default error message buffer size.  <a href="#a5e157a94a82f4b152bca1a06993c38e0">More...</a><br /></td></tr>
<tr class="separator:a5e157a94a82f4b152bca1a06993c38e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae54a269833ffb6ee72805310683948b3"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="error_8h.html#ae54a269833ffb6ee72805310683948b3">ERROR_EXTERN</a>&#160;&#160;&#160;extern</td></tr>
<tr class="separator:ae54a269833ffb6ee72805310683948b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a41da65e2112c4e2ce328901fefa7f23d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="error_8h.html#ae54a269833ffb6ee72805310683948b3">ERROR_EXTERN</a> void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="error_8h.html#a41da65e2112c4e2ce328901fefa7f23d">set_error</a> (const char *format,...)</td></tr>
<tr class="memdesc:a41da65e2112c4e2ce328901fefa7f23d"><td class="mdescLeft">&#160;</td><td class="mdescRight">store an error message into a temporary buffer, in a similar way as sprintf does  <a href="#a41da65e2112c4e2ce328901fefa7f23d">More...</a><br /></td></tr>
<tr class="separator:a41da65e2112c4e2ce328901fefa7f23d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9656cb808dbefbb79694c3245976fa66"><td class="memItemLeft" align="right" valign="top"><a class="el" href="error_8h.html#ae54a269833ffb6ee72805310683948b3">ERROR_EXTERN</a> const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="error_8h.html#a9656cb808dbefbb79694c3245976fa66">get_error</a> (void)</td></tr>
<tr class="memdesc:a9656cb808dbefbb79694c3245976fa66"><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieve error message string from buffer.  <a href="#a9656cb808dbefbb79694c3245976fa66">More...</a><br /></td></tr>
<tr class="separator:a9656cb808dbefbb79694c3245976fa66"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="a5e157a94a82f4b152bca1a06993c38e0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5e157a94a82f4b152bca1a06993c38e0">&#9670;&nbsp;</a></span>ERROR_BUFFER_SIZE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ERROR_BUFFER_SIZE&#160;&#160;&#160;512</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Default error message buffer size. </p>

<p class="definition">Definition at line <a class="el" href="error_8h_source.html#l00033">33</a> of file <a class="el" href="error_8h_source.html">error.h</a>.</p>

</div>
</div>
<a id="ae54a269833ffb6ee72805310683948b3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae54a269833ffb6ee72805310683948b3">&#9670;&nbsp;</a></span>ERROR_EXTERN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ERROR_EXTERN&#160;&#160;&#160;extern</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="error_8h_source.html#l00036">36</a> of file <a class="el" href="error_8h_source.html">error.h</a>.</p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="a9656cb808dbefbb79694c3245976fa66"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9656cb808dbefbb79694c3245976fa66">&#9670;&nbsp;</a></span>get_error()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="error_8h.html#ae54a269833ffb6ee72805310683948b3">ERROR_EXTERN</a> const char* get_error </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Retrieve error message string from buffer. </p>
<dl class="section return"><dt>Returns</dt><dd>Error message </dd></dl>

</div>
</div>
<a id="a41da65e2112c4e2ce328901fefa7f23d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a41da65e2112c4e2ce328901fefa7f23d">&#9670;&nbsp;</a></span>set_error()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="error_8h.html#ae54a269833ffb6ee72805310683948b3">ERROR_EXTERN</a> void set_error </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>format</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>...</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>store an error message into a temporary buffer, in a similar way as sprintf does </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">format</td><td>String to be stored </td></tr>
    <tr><td class="paramname">...</td><td>Additional parameters </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed May 22 2019 12:09:34 for pam_pkcs11 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
